QGIS Application - Bug report #12153
QgsSnapper.snapPoint API changed
2015-02-08 07:56 AM - Matthias Kuhn

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Python plugins

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20346
Description

QgsSnapper.snapPoint python binding changed from QPoint to QgsPoint.

This introduces the following error:

TypeError: QgsSnapper.snapPoint(QgsPoint, list-of-QgsSnappingResult, list-of-QgsPoint excludePoints=QList<QgsPoint>()): argument
1 has unexpected type 'QPoint’'

It is very easy to maintain compatibility here as outlined in this comment:

#abd4a043998ae601835bd6749e5bcac5caa7a949#diff-a65ec2a8713673bd50b1ebc4958edc0eR85

| set the priority as a blocker so a decision needs to be taken if such an API change is desired or not.

Associated revisions

Revision 0593ef6a - 2015-02-09 01:15 AM - Jiirgen Fischer

rename new QgsSnapper::snapPoint method to snapMapPoint and restore python name
of deprecated old version (fixes #12153)

History

#1 - 2015-02-08 04:16 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"0593ef622635876f31453a6133fe5ebaa0838f3b".
